<?php
namespace Incoviba\Repository\Contabilidad;

use Incoviba\Common\Define;
use Incoviba\Model;
use Incoviba\Repository\Tipo;

class TipoCentro extends Tipo
{
    public function __construct(Define\Connection $connection)
    {
        parent::__construct($connection);
        $this->setTable('tipos_centros_costos');
    }

    protected function getBlank(): Define\Model
    {
        return new Model\Contabilidad\TipoCentro();
    }
}
